Bug 676072 - RFC: Publican support for Mallard
RFC: Publican support for Mallard
Status: CLOSED WONTFIX
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.5
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ruediger Landmann
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-08 13:43 EST by eric@christensenplace.us
Modified: 2011-08-16 07:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-07 22:48:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description eric@christensenplace.us 2011-02-08 13:43:00 EST
Description of problem:
Mallard is a markup language similar to DocBookXML.  Some upstream documentation source their documentation in Mallard (GNOME for one).  Is it possible to incorporate Mallard into Publican so that we could get similar output results using either language?  If so, is it possible to use both in the same document?
Comment 1 John J. McDonough 2011-02-08 13:48:47 EST
further clarification - it seems unlikely that one would want to do an entire document in mallard, but incorporating mallard fragments into a document could allow those fragments to be used in multiple places.

Much user documentation duplicates information found in help files. If these sections were written in mallard, they could be used for application help as well as document content.
Comment 2 Ruediger Landmann 2011-03-07 22:48:15 EST
Hi guys;  We've been looking at adding extra input formats to Publican for some time (both XML and non-XML), but we just don't have the resources to develop or support these in the near future. 

Unfortunately, the best I can do right now is add Mallard support to the Publican wish-list, right after DITA support! -- https://fedorahosted.org/publican/wiki/WishList

Another strategy might be to create a Mallard-to-DocBook stylesheet for gnome-doc-utils. This wouldn't be quite the drop-in solution that you're after, but would at be a partial fix. 

Regretfully closing for now :(

Rudi

Note You need to log in before you can comment on or make changes to this bug.